Easysoft Blog

Wed, 08 Jun 2016

General error: OS Version mismatch

Each Easysoft product supports a particular set of operating system releases. If you attempt to use an Easysoft product on a version of an operating system that the product does not support, you will get an "OS Version mismatch" error. For example, the latest version of Windows your Easysoft driver supports is Windows 8, and you are attempting to use it on Windows 10, following a system upgrade. In this situation, you need to contact Easysoft for a later version of your Easysoft product. (If possible, we will build a product for a non-supported operating system version on request. So even if the product / OS combination you want is not available on our web site, it is worth contacting us.)

The error can also occur if you have upgraded your Easysoft product and have the old and new versions coexisting on the same machine. Easysoft products include both driver libraries and support libraries that cooperate with each other to determine whether the operating system version is supported. If your application's environment is configured such that the driver libraries are loaded from one Easysoft distribution and the support libraries are loaded from another, you will also get an "OS Version mismatch", as the libraries will be unable to work together. If this is the case, set your environment so that driver and support libraries from the same Easysoft distribution are loaded. To provide an example, this is an Oracle DG4ODBC configuration file that initially loads a "hybrid" set of Easysoft libraries:

# This LD_LIBRARY setting loads incompatible libraries from multiple Easysoft
# distributions. This will result in a "General error: OS Version mismatch" error.

(SID_DESC=
  (SID_NAME=sqlserver)
  (ORACLE_HOME=/u01/app/oracle/product/11.2.0/xe)
  (PROGRAM=dg4odbc)
  (ENVS=LD_LIBRARY_PATH = /usr/local/easysoft/unixODBC/lib:/usr/local/easysoft-1.7.0/lib)
)

# This LD_LIBRARY_PATH setting ensures that Easysoft libraries from the same
# distribution are loaded. They are therefore compatible with each other.
(SID_DESC=
  (SID_NAME=sqlserver)
  (ORACLE_HOME=/u01/app/oracle/product/11.2.0/xe)
  (PROGRAM=dg4odbc)
  (ENVS=LD_LIBRARY_PATH = /usr/local/easysoft/unixODBC/lib:/usr/local/easysoft/lib)
)